> ## Documentation Index
> Fetch the complete documentation index at: https://developers.trycents.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update delivery instructions

> Use this endpoint to update delivery instructions for a specific address and address details such as apartment, suite, unit number.



## OpenAPI

````yaml PATCH /customers/{centsCustomerId}/addresses/{customerAddressId}/instructions
openapi: 3.1.0
info:
  title: OpenAPI Cents
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api3.trycents.com/api/v1/common
security: []
paths:
  /customers/{centsCustomerId}/addresses/{customerAddressId}/instructions:
    patch:
      parameters:
        - $ref: '#/components/parameters/OriginHeader'
        - in: path
          name: centsCustomerId
          required: true
          schema:
            type: number
            format: float
        - in: path
          name: customerAddressId
          required: true
          schema:
            type: number
            format: float
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                addressDetails:
                  type: string
                  description: Enter your Apt / Suite / Unit
                leaveAtDoor:
                  type: boolean
                  description: Set to true if a driver can leave orders at the door.
                instructions:
                  type: string
                  description: Delivery instruction for the address
              required:
                - addressDetails
                - leaveAtDoor
                - instructions
              type: object
              example:
                leaveAtDoor: true
                addressDetails: Apartment 50
                instructions: Please leave it at the door if I'm not home.
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CentsCustomerAddress'
        '404':
          description: Address is not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CentsCustomerAddress'
                example: Address is not found
      security:
        - bearerAuth: []
components:
  parameters:
    OriginHeader:
      name: fwdorigin
      in: header
      required: true
      schema:
        type: string
        default: DISPATCH_API
        enum:
          - DISPATCH_API
  schemas:
    CentsCustomerAddress:
      type: object
      properties:
        address1:
          type: string
          nullable: false
        address2:
          type: string
          nullable: true
        city:
          type: string
          nullable: false
        postalCode:
          type: string
          nullable: false
        countryCode:
          type: string
          nullable: false
        instructions:
          type: string
          nullable: false
        leaveAtDoor:
          type: string
          nullable: false
        lat:
          type: number
          nullable: false
        lng:
          type: number
          nullable: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````